<?php
namespace Bushelpowered\Api\Businesspages\V1\Model;
        
class BusinessLocationListItem 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var string $tenantId The tenant identifier.*/
    public string $tenantId;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\Location $location */
    public \Bushelpowered\Api\Businesspages\V1\Model\Location $location;
    /** @var bool $isFavorite Indicates if the location is a favorite.*/
    public bool $isFavorite;
    /** @var null|string $todaysStandardHours The standard hours for a specific day of the week.*/
    public ?string $todaysStandardHours = null;
    /** @var null|string $todaysSpecialHours The special hours for a specific date.*/
    public ?string $todaysSpecialHours = null;
    /** @var null|string $publishedAt The date and time the business location was published (viewable by growers). of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $publishedAt = null;
    /** @var null|string $activatedAt The date and time the business location was activated (viewable by staff). of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $activatedAt = null;
    /** @var string $createdAt The date and time the business location was created. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt The date and time the business location was updated. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  string  $tenantId The tenant identifier.
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\Location  $location 
     * @param  bool  $isFavorite Indicates if the location is a favorite.
     * @param  null|string  $todaysStandardHours The standard hours for a specific day of the week.
     * @param  null|string  $todaysSpecialHours The special hours for a specific date.
     * @param  null|string  $publishedAt The date and time the business location was published (viewable by growers). of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $activatedAt The date and time the business location was activated (viewable by staff). of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $createdAt The date and time the business location was created. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt The date and time the business location was updated. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $tenantId, \Bushelpowered\Api\Businesspages\V1\Model\Location $location, bool $isFavorite, ?string $todaysStandardHours, ?string $todaysSpecialHours, ?string $publishedAt, ?string $activatedAt, string $createdAt, string $updatedAt)
    {
        $this->id = $id;
        $this->tenantId = $tenantId;
        $this->location = $location;
        $this->isFavorite = $isFavorite;
        $this->todaysStandardHours = $todaysStandardHours;
        $this->todaysSpecialHours = $todaysSpecialHours;
        $this->publishedAt = $publishedAt;
        $this->activatedAt = $activatedAt;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    

}