<?php
namespace Bushelpowered\Api\Businesspages\V1\Request;
        
class UpdateBusinessLocationRequest 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var null|string $announcements Announcements for the business location.*/
    public ?string $announcements = null;
    /** @var int $weeksToDisplay The number of weeks to display to growers.*/
    public int $weeksToDisplay;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours $standardHours */
    public \Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours $standardHours;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\SpecialHours[]|null $specialHours The special hours for the location. Each date must be unique and be in the update range.*/
    public ?array $specialHours = null;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\WeekNote[]|null $weekNotes The week notes for the location. Each start date must be unique, fall on Sunday, and be in the update range.*/
    public ?array $weekNotes = null;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\StaffMember[]|null $staffMembers */
    public ?array $staffMembers = null;
    /** @var bool $publish Whether to publish the business location.*/
    public bool $publish;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\DateRange $range */
    public \Bushelpowered\Api\Businesspages\V1\Model\DateRange $range;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  null|string  $announcements Announcements for the business location.
     * @param  int  $weeksToDisplay The number of weeks to display to growers.
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours  $standardHours 
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\SpecialHours[]|null  $specialHours The special hours for the location. Each date must be unique and be in the update range.
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\WeekNote[]|null  $weekNotes The week notes for the location. Each start date must be unique, fall on Sunday, and be in the update range.
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\StaffMember[]|null  $staffMembers 
     * @param  bool  $publish Whether to publish the business location.
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\DateRange  $range 
     */
    public function __construct(string $id, ?string $announcements, int $weeksToDisplay, \Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours $standardHours, ?array $specialHours, ?array $weekNotes, ?array $staffMembers, bool $publish, \Bushelpowered\Api\Businesspages\V1\Model\DateRange $range)
    {
        $this->id = $id;
        $this->announcements = $announcements;
        $this->weeksToDisplay = $weeksToDisplay;
        $this->standardHours = $standardHours;
        $this->specialHours = $specialHours;
        $this->weekNotes = $weekNotes;
        $this->staffMembers = $staffMembers;
        $this->publish = $publish;
        $this->range = $range;
    }
    

}