<?php
namespace Bushelpowered\Api\Crm\V1\Response;
        
class CommodityResponse 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var string $commoditySubgroupId The commodity subgroup id from Commodity Service*/
    public string $commoditySubgroupId;
    /** @var null|string $commodityVarietyId The commodity variety id from Commodity Service, nullable*/
    public ?string $commodityVarietyId = null;
    /** @var null|int $area The commodity total area, nullable*/
    public ?int $area = null;
    /** @var string $areaUoM Unit of measure for land area, either acre or hectare*/
    public string $areaUoM;
    /** @var null|float $expectedYieldPerArea The commodity expected yield, nullable*/
    public ?float $expectedYieldPerArea = null;
    /** @var string $expectedYieldPerAreaUoM The commodity expected yield per area's unit of measure, default to bu*/
    public string $expectedYieldPerAreaUoM;
    /** @var null|float $totalProduction The calculated total production using area by expected yield, nullable*/
    public ?float $totalProduction = null;
    /** @var string $totalProductionUoM The calculated total production unit of measure, default to bu*/
    public string $totalProductionUoM;
    /** @var null|float $percentageInsured The percentage of the commodity insured, nullable*/
    public ?float $percentageInsured = null;
    /** @var null|float $storage The commodity storage capacity, nullable*/
    public ?float $storage = null;
    /** @var string $storageUoM The commodity storage capacity, default to bu*/
    public string $storageUoM;
    /** @var null|float $costOfProduction The commodity cost of production, nullable*/
    public ?float $costOfProduction = null;
    /** @var string $costOfProductionCurrency The commodity cost of production currency, default to usd*/
    public string $costOfProductionCurrency;
    /** @var null|float $profitabilityGoal The commodity profitability goal, nullable*/
    public ?float $profitabilityGoal = null;
    /** @var string $profitabilityGoalCurrency The commodity profitability goal currency, default to usd*/
    public string $profitabilityGoalCurrency;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  string  $commoditySubgroupId The commodity subgroup id from Commodity Service
     * @param  null|string  $commodityVarietyId The commodity variety id from Commodity Service, nullable
     * @param  null|int  $area The commodity total area, nullable
     * @param  string  $areaUoM Unit of measure for land area, either acre or hectare
     * @param  null|float  $expectedYieldPerArea The commodity expected yield, nullable
     * @param  string  $expectedYieldPerAreaUoM The commodity expected yield per area's unit of measure, default to bu
     * @param  null|float  $totalProduction The calculated total production using area by expected yield, nullable
     * @param  string  $totalProductionUoM The calculated total production unit of measure, default to bu
     * @param  null|float  $percentageInsured The percentage of the commodity insured, nullable
     * @param  null|float  $storage The commodity storage capacity, nullable
     * @param  string  $storageUoM The commodity storage capacity, default to bu
     * @param  null|float  $costOfProduction The commodity cost of production, nullable
     * @param  string  $costOfProductionCurrency The commodity cost of production currency, default to usd
     * @param  null|float  $profitabilityGoal The commodity profitability goal, nullable
     * @param  string  $profitabilityGoalCurrency The commodity profitability goal currency, default to usd
     */
    public function __construct(string $id, string $commoditySubgroupId, ?string $commodityVarietyId, ?int $area, string $areaUoM, ?float $expectedYieldPerArea, string $expectedYieldPerAreaUoM, ?float $totalProduction, string $totalProductionUoM, ?float $percentageInsured, ?float $storage, string $storageUoM, ?float $costOfProduction, string $costOfProductionCurrency, ?float $profitabilityGoal, string $profitabilityGoalCurrency)
    {
        $this->id = $id;
        $this->commoditySubgroupId = $commoditySubgroupId;
        $this->commodityVarietyId = $commodityVarietyId;
        $this->area = $area;
        $this->areaUoM = $areaUoM;
        $this->expectedYieldPerArea = $expectedYieldPerArea;
        $this->expectedYieldPerAreaUoM = $expectedYieldPerAreaUoM;
        $this->totalProduction = $totalProduction;
        $this->totalProductionUoM = $totalProductionUoM;
        $this->percentageInsured = $percentageInsured;
        $this->storage = $storage;
        $this->storageUoM = $storageUoM;
        $this->costOfProduction = $costOfProduction;
        $this->costOfProductionCurrency = $costOfProductionCurrency;
        $this->profitabilityGoal = $profitabilityGoal;
        $this->profitabilityGoalCurrency = $profitabilityGoalCurrency;
    }
    

}