<?php
namespace Bushelpowered\Api\Crm\V1\Response;
        
class DemographicResponse 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var null|float $area Total number of land units*/
    public ?float $area = null;
    /** @var null|string $areaUoM Unit of measure for land area, either acre or hectare*/
    public ?string $areaUoM = null;
    /** @var null|float $onFarmStorageCapacity Total on-farm storage capacity*/
    public ?float $onFarmStorageCapacity = null;
    /** @var null|string $onFarmStorageCapacityUoM Total on-farm's storage capacity's unit of measure, default of bu*/
    public ?string $onFarmStorageCapacityUoM = null;
    /** @var null|string $additionalDestinationLocations Additional destinations or locations for the demographic*/
    public ?string $additionalDestinationLocations = null;
    /** @var null|string $comments Any comments about the demographic*/
    public ?string $comments = null;
    /** @var \Bushelpowered\Api\Crm\V1\Response\CommodityResponse[] $commodities */
    public array $commodities;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  null|float  $area Total number of land units
     * @param  null|string  $areaUoM Unit of measure for land area, either acre or hectare
     * @param  null|float  $onFarmStorageCapacity Total on-farm storage capacity
     * @param  null|string  $onFarmStorageCapacityUoM Total on-farm's storage capacity's unit of measure, default of bu
     * @param  null|string  $additionalDestinationLocations Additional destinations or locations for the demographic
     * @param  null|string  $comments Any comments about the demographic
     * @param  \Bushelpowered\Api\Crm\V1\Response\CommodityResponse[]  $commodities 
     */
    public function __construct(string $id, ?float $area, ?string $areaUoM, ?float $onFarmStorageCapacity, ?string $onFarmStorageCapacityUoM, ?string $additionalDestinationLocations, ?string $comments, array $commodities)
    {
        $this->id = $id;
        $this->area = $area;
        $this->areaUoM = $areaUoM;
        $this->onFarmStorageCapacity = $onFarmStorageCapacity;
        $this->onFarmStorageCapacityUoM = $onFarmStorageCapacityUoM;
        $this->additionalDestinationLocations = $additionalDestinationLocations;
        $this->comments = $comments;
        $this->commodities = $commodities;
    }
    

}