<?php
namespace Bushelpowered\Api\Iam\Access\Manage\V1\Request;
        
class CreateRoleRequest 
{
    /** @var string $name The name of the role*/
    public string $name;
    /** @var null|string $description The description of the role*/
    public ?string $description = null;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\Domo\RoleSubjectTargetType $targetSubjectType */
    public \Bushelpowered\Api\Iam\Access\Common\V1\Domo\RoleSubjectTargetType $targetSubjectType;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\Domo\ResourceScope[] $scopes */
    public array $scopes;

    /**
     * @param  string  $name The name of the role
     * @param  null|string  $description The description of the role
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\Domo\RoleSubjectTargetType  $targetSubjectType 
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\Domo\ResourceScope[]  $scopes 
     */
    public function __construct(string $name, ?string $description, \Bushelpowered\Api\Iam\Access\Common\V1\Domo\RoleSubjectTargetType $targetSubjectType, array $scopes)
    {
        $this->name = $name;
        $this->description = $description;
        $this->targetSubjectType = $targetSubjectType;
        $this->scopes = $scopes;
    }
    

}