<?php
namespace Bushelpowered\Api\Platform\Commodity\V1\Request;
        
class GetAllTenantCommoditiesRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var string[]|null $ids */
    public ?array $ids = null;
    /** @var string[]|null $tenantIds */
    public ?array $tenantIds = null;
    /** @var string[]|null $datasourceIds */
    public ?array $datasourceIds = null;
    /** @var string[]|null $integrationIds */
    public ?array $integrationIds = null;
    /** @var string[]|null $locationIds */
    public ?array $locationIds = null;
    /** @var string[]|null $commodityIds */
    public ?array $commodityIds = null;
    /** @var string[]|null $commodityGroupIds Filter by standard commodity group identifiers (e.g. Corn, Sorghum, Wheat).*/
    public ?array $commodityGroupIds = null;
    /** @var string[]|null $commoditySubgroupIds Filter by standard commodity subgroup identifiers (e.g. Corn Yellow, Corn White, Wheat Durum).*/
    public ?array $commoditySubgroupIds = null;
    /** @var string[]|null $commodityVarietyIds Filter by standard commodity variety identifiers (e.g. Corn Yellow Conventional, Corn White Non-GMO, Wheat Durum Hard Amber).*/
    public ?array $commodityVarietyIds = null;
    /** @var null|\Bushelpowered\Api\Platform\Commodity\V1\Request\CommodityPagination $pagination */
    public ?\Bushelpowered\Api\Platform\Commodity\V1\Request\CommodityPagination $pagination = null;

    /**
     * @param  string[]|null  $ids 
     * @param  string[]|null  $tenantIds 
     * @param  string[]|null  $datasourceIds 
     * @param  string[]|null  $integrationIds 
     * @param  string[]|null  $locationIds 
     * @param  string[]|null  $commodityIds 
     * @param  string[]|null  $commodityGroupIds Filter by standard commodity group identifiers (e.g. Corn, Sorghum, Wheat).
     * @param  string[]|null  $commoditySubgroupIds Filter by standard commodity subgroup identifiers (e.g. Corn Yellow, Corn White, Wheat Durum).
     * @param  string[]|null  $commodityVarietyIds Filter by standard commodity variety identifiers (e.g. Corn Yellow Conventional, Corn White Non-GMO, Wheat Durum Hard Amber).
     * @param  null|\Bushelpowered\Api\Platform\Commodity\V1\Request\CommodityPagination  $pagination 
     */
    public function __construct(?array $ids, ?array $tenantIds, ?array $datasourceIds, ?array $integrationIds, ?array $locationIds, ?array $commodityIds, ?array $commodityGroupIds, ?array $commoditySubgroupIds, ?array $commodityVarietyIds, ?\Bushelpowered\Api\Platform\Commodity\V1\Request\CommodityPagination $pagination)
    {
        $this->ids = $ids;
        $this->tenantIds = $tenantIds;
        $this->datasourceIds = $datasourceIds;
        $this->integrationIds = $integrationIds;
        $this->locationIds = $locationIds;
        $this->commodityIds = $commodityIds;
        $this->commodityGroupIds = $commodityGroupIds;
        $this->commoditySubgroupIds = $commoditySubgroupIds;
        $this->commodityVarietyIds = $commodityVarietyIds;
        $this->pagination = $pagination;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Platform\Commodity\V1\Request\CommodityPagination 
     */
    public function getPagination(): ?\Bushelpowered\Api\Platform\Commodity\V1\Request\CommodityPagination
    {
        return $this->pagination;
    }
}