<?php
namespace Bushelpowered\Api\Reporting\Contracts\V1\Request;
        
class ContractsUpsertConfigurationRequest 
{
    /** @var string $slug The slug of the datasource being configured*/
    public string $slug;
    /** @var bool $enabled Whether or not reporting is enabled for the tenant*/
    public bool $enabled;
    /** @var null|string $title The name of the report to appear on the report, defaulted if not set*/
    public ?string $title = null;

    /**
     * @param  string  $slug The slug of the datasource being configured
     * @param  bool  $enabled Whether or not reporting is enabled for the tenant
     * @param  null|string  $title The name of the report to appear on the report, defaulted if not set
     */
    public function __construct(string $slug, bool $enabled, ?string $title)
    {
        $this->slug = $slug;
        $this->enabled = $enabled;
        $this->title = $title;
    }
    

}