<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Response;
        
class CompanyResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp, \Bushelpowered\Api\Common\HasDeletedAtTimestamp
{
    /** @var string $id The unique identifier for a specific Company.*/
    public string $id;
    /** @var string $slug The unique slug for the Company.*/
    public string $slug;
    /** @var int $cqgCategoryId The unique identifier for the CQG category.*/
    public int $cqgCategoryId;
    /** @var null|string $ingestEnabledAt The status indicating whether ingest is enabled or disabled. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $ingestEnabledAt = null;
    /** @var bool $displayConvertedBasis The status indicating whether or not the converted basis is displayed.*/
    public bool $displayConvertedBasis;
    /** @var string $bidRoundingStrategy The rounding strategy for the bids.*/
    public string $bidRoundingStrategy;
    /** @var int $cashBidDecimalFormat The number denoting how many decimal places to round the cash bid price.*/
    public int $cashBidDecimalFormat;
    /** @var string $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;
    /** @var null|string $deletedAt Deleted date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $deletedAt = null;

    /**
     * @param  string  $id The unique identifier for a specific Company.
     * @param  string  $slug The unique slug for the Company.
     * @param  int  $cqgCategoryId The unique identifier for the CQG category.
     * @param  null|string  $ingestEnabledAt The status indicating whether ingest is enabled or disabled. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  bool  $displayConvertedBasis The status indicating whether or not the converted basis is displayed.
     * @param  string  $bidRoundingStrategy The rounding strategy for the bids.
     * @param  int  $cashBidDecimalFormat The number denoting how many decimal places to round the cash bid price.
     * @param  string  $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $deletedAt Deleted date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $slug, int $cqgCategoryId, ?string $ingestEnabledAt, bool $displayConvertedBasis, string $bidRoundingStrategy, int $cashBidDecimalFormat, string $createdAt, string $updatedAt, ?string $deletedAt)
    {
        $this->id = $id;
        $this->slug = $slug;
        $this->cqgCategoryId = $cqgCategoryId;
        $this->ingestEnabledAt = $ingestEnabledAt;
        $this->displayConvertedBasis = $displayConvertedBasis;
        $this->bidRoundingStrategy = $bidRoundingStrategy;
        $this->cashBidDecimalFormat = $cashBidDecimalFormat;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->deletedAt = $deletedAt;
    }
    
    /**
     * @return string Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
    /**
     * @return null|string Deleted date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getDeletedAt(): ?string
    {
        return $this->deletedAt;
    }
}